"use strict";

const ALLOWED_STYLE_PROPERTIES = {
  color: true,
  backgroundColor: true,
  fontWeight: true,
  fontStyle: true
};
export function getRNStylesFromShikiStyle(theme) {
  if (!theme?.tokenColors) return {};
  return Object.fromEntries(theme.tokenColors.filter(token => token.settings && token.scope).flatMap(token => {
    const style = Object.fromEntries(Object.entries(token.settings).filter(([key]) => ALLOWED_STYLE_PROPERTIES[key]));
    const scopes = Array.isArray(token.scope) ? token.scope : [token.scope];
    return scopes.map(scope => [scope, style]);
  }));
}
//# sourceMappingURL=style-transformer.js.map